sc::R12IntsAcc_MPIIOFile(3)

NAME
sc::R12IntsAcc_MPIIOFile -

SYNOPSIS

Inherits sc::R12IntsAcc'.

Inherited by sc::R12IntsAcc_MPIIOFile_Ind'.

  Classes
struct PairBlkInfo

  Public Member Functions
R12IntsAcc_MPIIOFile (Ref< MemoryGrp > &mem, const char *filename, int num_te_types, int ni, int nj, int nx, int ny)
R12IntsAcc_MPIIOFile (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them'.
void store_pair_block (int i, int j, double *ints)
Stores an ij pair block of integrals to the file'.
void commit ()
Commit the content of the accumulator for reading - deactivate the associated MemoryGrp and activate the accumulator'.
void activate ()
Call when ready to read content'.
void deactivate ()
Done reading content - activate the associated MemoryGrp This is a collective operation'.
void release_pair_block (int i, int j, tbint_type oper_type)
Releases an ij pair block of integrals'.
bool is_local (int i, int j) const
Is this block stored locally?
bool is_avail (int i, int j) const
In this implementation blocks are available everywhere'.
bool has_access (int proc) const
Does this task have access to all the integrals?
bool can_restart () const
Can restart MPI-IO-based accumulator'.
int ij_index (int i, int j) const

  Protected Member Functions
void check_error_code_ (int errcod) const
Utility function to check MPI I/O error codes'.
void init (bool restart)
int ntasks () const
total number of tasks
int taskid () const
ID of this task'.

  Protected Attributes
Ref< MemoryGrp > mem_
int nproc_
size_t nints_per_block_
char * filename_
MPI_File datafile_
struct
sc::R12IntsAcc_MPIIOFile::PairBlkInfo * pairblk_"

Member Function Documentation

  void sc::R12IntsAcc_MPIIOFile::commit () [virtual]

Commit the content of the accumulator for reading - deactivate the associated MemoryGrp and activate the accumulator'. This is a collective operation'.

Reimplemented from sc::R12IntsAcc'.

  void sc::R12IntsAcc_MPIIOFile::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them'. This must be implemented by the derived class if the class has data'.

Reimplemented from sc::R12IntsAcc'.

Reimplemented in sc::R12IntsAcc_MPIIOFile_Ind'.

Author

Generated automatically by Doxygen for MPQC from the source code'.